#ifndef _DBUTILS_GUI_CUSTOMTABWIDGET_H
#define _DBUTILS_GUI_CUSTOMTABWIDGET_H

#include <DatabaseUtils/DAQConfig/GlobalNameSpec.h>
#include <DatabaseUtils/DAQConfig/IDSpec.h>
#include <QtGui/QTabWidget>

namespace dbutils {
namespace gui {

/**
 * Class for providing local enhancements to the QTabWidget class.
 *
 * @author Kurt Biery
 * @version $Revision: 1.7.4.1 $ $Date: 2017/10/13 01:09:47 $
 */

class CustomTabWidget : public QTabWidget
{
    Q_OBJECT

 public:

    CustomTabWidget(QWidget *parent = 0);

    int addTab(QWidget* page, const QString& label);

    bool loadData(const dbutils::daqconfig::IDSpec& idSpec);
    bool hasChanges() const;
    bool saveChanges(const dbutils::daqconfig::IDSpec& oldGlobalIdSpec,
                     const dbutils::daqconfig::IDSpec& newGlobalIdSpec,
                     const dbutils::daqconfig::GlobalNameSpec&
                     newGlobalNameSpec);
    bool addInitialRow();

    void isTopLevel(bool setting = true) {_isTopLevel = setting;}

 public slots:

    void reactToDataChange();
    void reactToDataSave();

 signals:

    void aChangeWasMade();
    void dataWasSaved();

 private:

    bool _isTopLevel;
};

} // end of namespace gui
} // end of namespace dbutils

#endif
