#ifndef _DBUTILS_GUI_DAQCONFIGEDITORDISPLAY_H
#define _DBUTILS_GUI_DAQCONFIGEDITORDISPLAY_H

#include <DatabaseUtils/GUI/BasicEditorDisplay.h>
#include <DatabaseUtils/GUI/CustomTabWidget.h>
#include <QtGui/QMainWindow>
#include <QtGui/QCloseEvent>
#include <vector>

namespace dbutils {
namespace gui {

/**
 * Class for displaying the tabs that make up the graphical
 * configuration editor.
 *
 * @author Kurt Biery
 * @version $Revision: 1.12.4.1 $ $Date: 2017/10/13 01:09:47 $
 */

class DAQConfigEditorDisplay : public BasicEditorDisplay
{
    Q_OBJECT

 public:

    DAQConfigEditorDisplay(QWidget *parent = 0);

    bool hasChanges() const;

 public slots:

    void loadThresholdsAndMasks();
    void addInitialRow();

 protected:

    bool _doReloadCurrentDataset(const dbutils::daqconfig::IDSpec& idSpec);
    bool _doLoadNewDataset(const dbutils::daqconfig::IDSpec& idSpec);
    bool _doSaveChanges(const dbutils::daqconfig::IDSpec& oldIdSpec,
                        const dbutils::daqconfig::IDSpec& newIdSpec,
                        const dbutils::daqconfig::GlobalNameSpec& newNameSpec);

 private:

    CustomTabWidget* _tabWidget;

};

} // end of namespace gui
} // end of namespace dbutils

#endif
