#ifndef _DBUTILS_GUI_NAMEDCONFIGGROUPBOX_H
#define _DBUTILS_GUI_NAMEDCONFIGGROUPBOX_H

#include <DatabaseUtils/GUI/NameValueLabelPair.h>
#include <QtGui/QGroupBox>

namespace dbutils {
namespace gui {

/**
 * Class for providing a groupbox that displays the current
 * named configuration parameters.
 *
 * @author Kurt Biery
 * @version $Revision: 1.1.18.1 $ $Date: 2017/10/13 01:09:47 $
 */

class NamedConfigGroupBox : public QGroupBox
{
    Q_OBJECT

 public:

    NamedConfigGroupBox(QWidget *parent = 0);

 public slots:

    void setConfigurationName(const std::string& name);
    void setDCMOperatingMode(const std::string& dcmOpMode);
    void setDetectorName(const std::string& detectorName);
    void setTimestamp(const std::string& timestamp);

 private:

    NameValueLabelPair* _configNameWidget;
    NameValueLabelPair* _dcmOpModeWidget;
    NameValueLabelPair* _detectorNameWidget;
    NameValueLabelPair* _timestampWidget;
};

} // end of namespace gui
} // end of namespace dbutils

#endif
