#ifndef _NOVADAQ_PARTITION_NUMBER_H
#define _NOVADAQ_PARTITION_NUMBER_H

namespace novadaq {

/**
 * A singleton class to hold the partition number for an application instance.
 *
 * @author Kurt Biery
 * @version $Revision: 1.1.10.1 $ $Date: 2017/10/13 01:09:53 $
 */

class PartitionNumber {

 public:

    static PartitionNumber& instance();

    void set(int theValue) {_value = theValue;}
    int get() const {return _value;}

 private:

    // constructor is private
    explicit PartitionNumber();

    // disallow any copying
    PartitionNumber(PartitionNumber const&);  // not implemented
    void operator= (PartitionNumber const&);  // not implemented

    int _value;
};

} // end of namespace novadaq

#endif
